from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextContent

@runtime_checkable
class XTextSection(XTextContent, Protocol):
    def getParentSection(self) -> XTextSection: ...
    def getChildSections(self) -> list[XTextSection]: ...
